{############################################################################
#                                                                           #
#  SLX Cube V3 :: 3D Cube Screen Saver                                      #
#  Copyright (C) 2000-2005  N.G van der Westhuizen                          #
#                                                                           #
#    This program is free software; you can redistribute it and/or modify   #
#    it under the terms of the GNU General Public License as published by   #
#    the Free Software Foundation; either version 2 of the License, or      #
#    (at your option) any later version.                                    #
#                                                                           #
#    This program is distributed in the hope that it will be useful,        #
#    but WITHOUT ANY WARRANTY; without even the implied warranty of         #
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          #
#    GNU General Public License for more details.                           #
#                                                                           #
#    You should have received a copy of the GNU General Public License      #
#    along with this program; if not, write to the Free Software            #
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston,                  #
#    MA  02111-1307  USA                                                    #
#    http://www.fsf.org                                                     #
#                                                                           #
#                                                                           #
#  N.G van der Westhuizen                                                   #
#  P.O Box 563, Rosettenville, JHB, 2130, South-Africa                      #
#  http://www.slx.za.net                                                    #
#  info@slx.za.net                                                          #
#                                                                           #
############################################################################}

program slx_cube;

uses
  Forms,
  Windows,
  SysUtils,
  Unit1 in 'Unit1.pas' {Form1},
  Unit2 in 'Unit2.pas' {Form2};

{$R *.RES}
{$D SCRNSAVE slx_cube}
{$E scr}     //This will rename the *.EXE to *.SCR

Var
 SCR_Type: Integer;

begin
 SCR_Type := 0;

 if ((UpperCase(ParamStr(1)) = '/P') or
     (UpperCase(ParamStr(1)) = '-P') or
     (UpperCase(ParamStr(1)) =  'P')   ) then
     SCR_Type := 1;

 if ((UpperCase(ParamStr(1)) = '/S') or
     (UpperCase(ParamStr(1)) = '-S') or
     (UpperCase(ParamStr(1)) =  'S')   ) then
     SCR_Type := 2;

 if ((UpperCase(ParamStr(1)) = '/A') or
     (UpperCase(ParamStr(1)) = '-A') or
     (UpperCase(ParamStr(1)) =  'A')   ) then
     SCR_Type := 3;


 Case SCR_Type of
  0: Begin //Configuration Screen
      Form1.Configuration_Screen;
      Application.Initialize;
      Application.Title := 'SLX Cube V3 (Open Source)';
  Application.CreateForm(TForm2, Form2);
      Application.Run;
     end;

  1: Begin //Preview Screen
      Application.Initialize;
      Application.CreateForm(TForm1, Form1);
      Form1.Preview_Screen;
     end;

  2: Begin //Full Screen
      Form1.Full_Screen;
      Application.Initialize;
      Application.CreateForm(TForm1, Form1);
      Application.Run;
     end;

  3: Begin //Set Password
      Form1.Set_Password;
     end;
 end;
end.